package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.ConexionExcepcionDAO;
import com.rjconsultores.ventaboletos.entidad.ConexionExcepcion;

@Repository("conexionExcepcionDAO")
public class ConexionExcepcionHibernateDAO extends GenericHibernateDAO<ConexionExcepcion, Long>
		implements ConexionExcepcionDAO {

	@Autowired
	public ConexionExcepcionHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	public List<ConexionExcepcion> obtenerConexionExcepcionsActivo(Long conexionctrlId) {
		Criteria c = getSession().createCriteria(getPersistentClass());
		c.add(Restrictions.eq("conexionctrlId", conexionctrlId));
		c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
		return c.list();
	}
}
